--- title: "Update the Proxy Server Configuration at the Manager Level" slug: "update-the-proxy-server-configuration-at-the-manager-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:47Z published: 2026-11-19T12:56:47Z canonical: "docs.trellix.com/update-the-proxy-server-configuration-at-the-manager-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Proxy Server Configuration at the Manager Level This URL updates the proxy server configuration at the Manager level. ### Resource URL PUT /domain/proxyserver ### Request Parameters URL Parameters: None Payload parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `useProxyserver` | Use proxy server configuration | Boolean | Yes | | `proxyServerNameOrIPAddr` | Proxy server name/IP configuration | String | Yes | | `proxyPort` | Proxy port configuration | Number | Yes | | `userName` | User name | String | No | | `password` | Password | String | No | ### Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/domain/proxyserver](https://<NSM_IP>/sdkapi/domain/<domainId>/proxyserver) **Payload** ``` { "useProxyserver": true, "proxyServerNameOrIPAddr": 1.1.1.1, "proxyPort": 8443, "userName": null, "password": null } ``` **Response** ``` { "status": 1          } ``` ### Error Information Following error code is returned by the URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal server error |